URLResourceLoader (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.resource.loader.URLResourceLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.resource.loader
Class URLResourceLoader

    java.lang.Object
      org.apache.velocity.runtime.resource.loader.ResourceLoader
          org.apache.velocity.runtime.resource.loader.URLResourceLoader

public class URLResourceLoader
extends ResourceLoader

This is a simple URL-based loader.

Since:
  1.5
Version:
  $Id: URLResourceLoader.java 191743 2005-06-21 23:22:20Z dlr $
Author:
  Geir Magnusson Jr., Nathan Bubna

Field Summary
`protected HashMap` | `templateRoots`

Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`className, isCachingOn, log, modificationCheckInterval, rsvc`

Constructor Summary
`URLResourceLoader()`

Method Summary
`long` | `getLastModified(Resource resource)` Checks to see when a resource was last modified
`InputStream` | `getResourceStream(String name)` Get an InputStream so that the Runtime can build a template with it.
`int` | `getTimeout()` Returns the current, custom timeout setting.
`void` | `init(ExtendedProperties configuration)` Initialize the template loader with a a resources class.
`boolean` | `isSourceModified(Resource resource)` Checks to see if a resource has been deleted, moved or modified.

Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader
`commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### templateRoots

    protected HashMap templateRoots

Constructor Detail

### URLResourceLoader

    public URLResourceLoader()

Method Detail

### init

    public void init(ExtendedProperties configuration)

  Description copied from class: `ResourceLoader`
  Initialize the template loader with a a resources class.

  Specified by:
    `init` in class `ResourceLoader`
  Parameters:
    `configuration` -
  See Also:
    `ResourceLoader.init(org.apache.commons.collections.ExtendedProperties)`

### getResourceStream

    public InputStream getResourceStream(String name)
                                  throws ResourceNotFoundException

  Get an InputStream so that the Runtime can build a template with it.

  Specified by:
    `getResourceStream` in class `ResourceLoader`
  Parameters:
    `name` - name of template to fetch bytestream of
  Returns:
    InputStream containing the template
  Throws:
    `ResourceNotFoundException` - if template not found in the file template path.

### isSourceModified

    public boolean isSourceModified(Resource resource)

  Checks to see if a resource has been deleted, moved or modified.

  Specified by:
    `isSourceModified` in class `ResourceLoader`
  Parameters:
    `resource` - Resource The resource to check for modification
  Returns:
    boolean True if the resource has been modified, moved, or unreachable

### getLastModified

    public long getLastModified(Resource resource)

  Checks to see when a resource was last modified

  Specified by:
    `getLastModified` in class `ResourceLoader`
  Parameters:
    `resource` - Resource the resource to check
  Returns:
    long The time when the resource was last modified or 0 if the file can't be reached

### getTimeout

    public int getTimeout()

  Returns the current, custom timeout setting. If negative, there is no custom timeout.

  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.